verbose on

# Get install dir.
GetRegistryValue installdir=HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\InstallDir

# Check version.
versionCheck %installdir%\Configuration\version=4.9*,5.0*,5.1*,5.2*,5.3*

die off

# Stop service + recorder
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\SentinelMarker=2
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\Recorder\SentinelMarker=2
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Recorder\SentinelMarker=2
system net stop openit

# Wait for 20 seconds, to be sure all instances has ended
print Will sleep for 20 seconds to make sure all instances of Recorder has ended
sleep 20000

die on

# Copy binaries.
system copy "bin\OpeniTSentinel.exe" "%installdir%\bin\"
system copy "bin\Recorder.exe" "%installdir%\bin\"
system copy "bin\RecorderDll.dll" "%installdir%\bin\"

# Rename
if ( exists == "%installdir%\bin\psapi.dll.bak" ) system del "%installdir%\bin\psapi.dll.bak"
if ( exists == "%installdir%\bin\pdh.dll.bak" ) system del "%installdir%\bin\pdh.dll.bak"
if ( osversion >= 51 ) if ( exists == "%WINDIR%\system32\psapi.dll" ) if ( exists == "%installdir%\bin\psapi.dll" ) system rename "%installdir%\bin\psapi.dll" psapi.dll.bak
if ( osversion >= 51 ) if ( exists == "%WINDIR%\system32\pdh.dll" ) if ( exists == "%installdir%\bin\pdh.dll" ) system rename "%installdir%\bin\pdh.dll" pdh.dll.bak

die off


# Enable recorder again
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\SentinelMarker=1
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\Recorder\SentinelMarker=1
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Recorder\SentinelMarker=1

# Start service again.
system net start openit

# Copy readme.
if ( exists != "%installdir%\patches" ) system mkdir "%installdir%\patches"
system copy "readme.txt" "%installdir%\patches\1073.readme.txt"
